You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 

24 lines
896 B

From e1021bd2c1ece36c5a92b7282e0f452d9d1ececc Mon Sep 17 00:00:00 2001
From: Harald Hoyer <harald@redhat.com>
Date: Mon, 28 Apr 2014 12:45:44 +0200
Subject: [PATCH] dracut-functions.sh: add /lib/modules/*/{extras|weak-updates}
for kernel modules
https://bugzilla.redhat.com/show_bug.cgi?id=1086291
---
dracut-functions.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/dracut-functions.sh b/dracut-functions.sh
index bddcdcf2..cb43f7ad 100755
--- a/dracut-functions.sh
+++ b/dracut-functions.sh
@@ -1530,7 +1530,7 @@ find_kernel_modules_by_path () {
_OLDIFS=$IFS
IFS=:
while read a rest; do
- [[ $a = */$1/* ]] || [[ $a = updates/* ]] || continue
+ [[ $a = */$1/* ]] || [[ $a = updates/* ]] || [[ $a = extra/* ]] || [[ $a = weak-updates/* ]] ||continue
printf "%s\n" "$srcmods/$a"
done < "$srcmods/modules.dep"
IFS=$_OLDIFS